% N_factor_show.m  (CD-ROM version)
% This m-file calls on a number of other m-files as an additional illustration
% of the text and figures in the report:"A new e^N database method for transition
% prediction" 
% Programs and report are on the CD-ROM
% "N-factor show" is discussed in more detail in chapter 13 of the report.
clear
close all
% --------------------------------------------------------
want_to_go_on=input('if you want to go on give 1 else 0')
% --------------------------------------------------------
while want_to_go_on==1
disp ('---------------------------------------------------------------------- ')
disp (' You can review a number of MATLAB programs as described in the text.  ')
disp (' The at present available options are:                                 ')
disp (' 1 =Compare Hartree profiles with and without suction/blowing          ')
disp (' 2 =Compare the data base results to the original Arnal data           ')
disp (' 3 =Principles of stability diagrams                                   ')
disp (' 4 =Review various splines                                             ')
disp (' 5 =Review Tbar (=T/TMaxMax along axis)                                ')
disp (' 6 =Review scaling                                                     ')
disp (' 7 =Plot and compare stability diagrams in various formats             ')
disp ('    (classical and scaled/shifted)                                     ')   
disp (' 8 =Plot stability diagrams in the log(F) format                       ')
disp (' 9 =Make stability diagram for arbitrary icase (especially 2:6) from   ')
disp ('    icase=1 (stagnation point)using the similarity of the              ')
disp ('    shifted and scaled diagrams; especially relevant for profiles      ')
disp ('    without inflexion point (icase<=6)                                 ')
disp ('10 =Compose the stability diagram for the asymptotic suction profile   ')
disp ('    using the similarity shown in case 9                               ')
disp ('11 =Make a stability diagram for an arbitrary value of H               ')
disp ('12 =Make a plot of the roadmap                                         ')
disp ('13 =Calculate N using "amplification.m" for a number of cases          ')
disp ('14 =You can do the same with the reduced version of nr 13 "ampli"      ')
disp ('15 =See support for the choice of H as representative parameter        ')
disp ('-----------------------------------------------------------------------')
% ------------------------------------------------------------------------------
case_number=input('give the number of your choice                             ')
% ------------------------------------------------------------------------------
switch case_number
   case 1
      comp_Hartree_suc_nosuc   
   case 2
      comp_data_base_to_Arnal
   case 3
      principles_of_stab_diagr
   case 4
      review_splines
   case 5
      review_Tbar
   case 6
      review_scaling
   case 7
      plot_stability_diagrams
   case 8
      logF_stability_diagrams
   case 9
      make_icase_from_1
   case 10 
      make_asuc_diagram
   case 11
      make_diagram_for_H
   case 12
      load datafile_for_n_factor
      plot_roadmap
   case 13
      amplification
   case 14
      ampli
   case 15
      Hartree_zpg_pg
   otherwise
      disp('no valid case entered') 
   end   % switch_case
   % ----------------------------------------------------------------
   want_to_go_on=input('if you want to go on give 1 else 0         ')
   % ----------------------------------------------------------------
end   % while
keyboard
close all
