function faclagrange=lagrange_2d(x,y); % (CD-ROM version)
% lagrange_2d calculates the factors for quadratic interpolation in 
% a set of 3 x-values for 3 different y-values
% x and y come from a call in cross_cut where x stands for r and y for
% 10Log(R-theta-crit)
xi=x(10); x13=[x(1:3) xi]; x46=[x(4:6) xi]; x79=[x(7:9) xi];
p=[lagrange(x13) lagrange(x46) lagrange(x79)];
q=lagrange(y);
faclagrange=[p(1)*q(1) p(2)*q(1) p(3)*q(1) ...
             p(4)*q(2) p(5)*q(2) p(6)*q(2) ...
             p(7)*q(3) p(8)*q(3) p(9)*q(3)];
 