function pp_out=rectify_Tss(pp_in)  % (CD-ROM version)
% function to rectify the Tss spline after interpolation. 
% It is called with pp_in=the Tss spline obtained from the interpolation
% in cross_cut.m.
% Note that the function can only be applied to the spline format of Tss
% ------------------------------------------------------------------------
 h=.2; h2=h*h;                % the first and last interval have length .2
% ------------------------------------------------------------------------
% The coefficients for the first interval are:
a=pp_in(39);
b=pp_in(72);
c=pp_in(105);
% d=pp_in(138)does not change; c is corrected to make sure that 
% after putting a=0 and b=0 the y-value at the end of  the interval is kept equal
c=a*h2+b*h+c; % This is the corrected c
% now input the corrected a, b and c into pp
pp_out=pp_in; 
pp_out(39)=0;
pp_out(72)=0;
pp_out(105)=c;
% Now we do the same for the last interval
a=pp_in(71);
b=pp_in(104);
c=pp_in(137);
% d=pp_in(170)does not change;
c=a*h2+b*h+c;
pp_out( 71)=0;
pp_out(104)=0;
pp_out(137)=c;
% Now we restore the integers
pp_out(1)=10;
pp_out(2)=1;
pp_out(3)=33;
pp_out(38)=4;
% end of function rectify_Tss 


















